<?php
/***
*
*@package binzcms
*@version $id:global.php, v 1.0
*@author 斌子
*@Fri Jan 02 23:08:58 CST 2009
*@copyright (c) 2009-2010 binzcms
*
*/
if(!defined("BINZCMS")) {
	die("hacking");
}
/*设置PHP的环境值*/
@ini_set('memory_limit',      '20M');
@ini_set('display_errors',        1);
@ini_set('magic_quotes_runtime',  0);
@ini_set('magic_quotes_sybase','0');

include(ROOT_PATH."/config/config.ini.php");		//配置文件
include(ROOT_PATH."/config/version.ini.php");		//版本文件
include(ROOT_PATH."/data/database.ini.php");		//数据库配置信息
include(ROOT_PATH."/include/BaseClass.php");		//框架基类

/*session设置*/
session_save_path(ROOT_PATH."/data/session/");
@session_start();

/*前台合法的ctl，控制层文件名称*/
$allows_ctl			= array('member',		//会员
'home',			//会员中心
'article',		//文章
'pic',			//图片内容
'search',		//搜索
'message',		//留言板
'code',			//验证码
'index',		//首页
'class',		//文章分类
'guestbook',	//留言板
'rss',			//rss
'ad',			//广告输出
'other'
);

/*后台合法的ctl，控制层文件名称*/
$admin_allows_ctl	= array('index',		//首页
'top',			//头部
'left',			//菜单栏
'drap',			//拖动
'main',			//首页内容
'class',		//文章频道
'ad',			//广告
'content',		//文章内容
'data',			//数据库
'flink',		//友情链接
'html',			//生成html
'member',		//会员
'leave',		//留言
'system',		//系统
'vote'			//投票
);
/*时区设定*/
if(function_exists('date_default_timezone_set')){
	date_default_timezone_set('Asia/Shanghai');
}
/*Gzip设定开启*/
if(WEB_GZIP == '1' and function_exists('ob_gzhandler')) {
	ob_start('ob_gzhandler');
}
?>